Random123-1.09: Random123/threefry.h File Reference

- Random123-1.09 Documentation

Classes | Namespaces | Defines | Typedefs | Enumerations | Functions

# Random123/threefry.h File Reference

`#include "features/compilerfeatures.h"`
`#include "array.h"`

Go to the source code of this file.

## Classes
class | r123::Threefry2x32_R< R >
class | r123::Threefry4x32_R< R >
class | r123::Threefry2x64_R< R >
class | r123::Threefry4x64_R< R >
## Namespaces
namespace | r123
## Defines
#define | threefry2x32(c, k) threefry2x32_R(threefry2x32_rounds, c, k)
#define | threefry4x32(c, k) threefry4x32_R(threefry4x32_rounds, c, k)
#define | threefry2x64(c, k) threefry2x64_R(threefry2x64_rounds, c, k)
#define | threefry4x64(c, k) threefry4x64_R(threefry4x64_rounds, c, k)
## Typedefs
typedef struct r123array2x64 | threefry2x64_ctr_t
typedef struct r123array2x64 | threefry2x64_key_t
typedef struct r123array2x64 | threefry2x64_ukey_t
typedef struct r123array2x32 | threefry2x32_ctr_t
typedef struct r123array2x32 | threefry2x32_key_t
typedef struct r123array2x32 | threefry2x32_ukey_t
typedef struct r123array4x64 | threefry4x64_ctr_t
typedef struct r123array4x64 | threefry4x64_key_t
typedef struct r123array4x64 | threefry4x64_ukey_t
typedef struct r123array4x32 | threefry4x32_ctr_t
typedef struct r123array4x32 | threefry4x32_key_t
typedef struct r123array4x32 | threefry4x32_ukey_t
typedef Threefry2x32_R < threefry2x32_rounds > | r123::Threefry2x32
typedef Threefry4x32_R < threefry4x32_rounds > | r123::Threefry4x32
typedef Threefry2x64_R < threefry2x64_rounds > | r123::Threefry2x64
typedef Threefry4x64_R < threefry4x64_rounds > | r123::Threefry4x64
## Enumerations
enum | r123_enum_threefry2x64 { threefry2x64_rounds = 20 }
enum | r123_enum_threefry2x32 { threefry2x32_rounds = 20 }
enum | r123_enum_threefry4x64 { threefry4x64_rounds = 20 }
enum | r123_enum_threefry4x32 { threefry4x32_rounds = 20 }
## Functions
static threefry2x64_key_t | threefry2x64keyinit (threefry2x64_ukey_t uk)
static threefry2x64_ctr_t | threefry2x64_R (unsigned int Nrounds, threefry2x64_ctr_t in, threefry2x64_key_t k)
static threefry2x64_ctr_t | threefry2x64 (threefry2x64_ctr_t in, threefry2x64_key_t k)
static threefry2x32_key_t | threefry2x32keyinit (threefry2x32_ukey_t uk)
static threefry2x32_ctr_t | threefry2x32_R (unsigned int Nrounds, threefry2x32_ctr_t in, threefry2x32_key_t k)
static threefry2x32_ctr_t | threefry2x32 (threefry2x32_ctr_t in, threefry2x32_key_t k)
static threefry4x64_key_t | threefry4x64keyinit (threefry4x64_ukey_t uk)
static threefry4x64_ctr_t | threefry4x64_R (unsigned int Nrounds, threefry4x64_ctr_t in, threefry4x64_key_t k)
static threefry4x64_ctr_t | threefry4x64 (threefry4x64_ctr_t in, threefry4x64_key_t k)
static threefry4x32_key_t | threefry4x32keyinit (threefry4x32_ukey_t uk)
static threefry4x32_ctr_t | threefry4x32_R (unsigned int Nrounds, threefry4x32_ctr_t in, threefry4x32_key_t k)
static threefry4x32_ctr_t | threefry4x32 (threefry4x32_ctr_t in, threefry4x32_key_t k)

## Define Documentation

#define threefry2x32 | ( |  | c,
|  |  | k |
| ) |  |  | threefry2x32_R(threefry2x32_rounds, c, k)

#define threefry2x64 | ( |  | c,
|  |  | k |
| ) |  |  | threefry2x64_R(threefry2x64_rounds, c, k)

#define threefry4x32 | ( |  | c,
|  |  | k |
| ) |  |  | threefry4x32_R(threefry4x32_rounds, c, k)

#define threefry4x64 | ( |  | c,
|  |  | k |
| ) |  |  | threefry4x64_R(threefry4x64_rounds, c, k)

## Typedef Documentation

typedef struct r123array2x32 threefry2x32_ctr_t

typedef struct r123array2x32 threefry2x32_key_t

typedef struct r123array2x32 threefry2x32_ukey_t

typedef struct r123array2x64 threefry2x64_ctr_t

typedef struct r123array2x64 threefry2x64_key_t

typedef struct r123array2x64 threefry2x64_ukey_t

typedef struct r123array4x32 threefry4x32_ctr_t

typedef struct r123array4x32 threefry4x32_key_t

typedef struct r123array4x32 threefry4x32_ukey_t

typedef struct r123array4x64 threefry4x64_ctr_t

typedef struct r123array4x64 threefry4x64_key_t

typedef struct r123array4x64 threefry4x64_ukey_t

## Function Documentation

static threefry2x32_ctr_t threefry2x32 | ( | threefry2x32_ctr_t | in,
|  | threefry2x32_key_t | k |
| ) |  |  | `[inline, static]`

static threefry2x32_ctr_t threefry2x32_R | ( | unsigned int | Nrounds,
|  | threefry2x32_ctr_t | in,
|  | threefry2x32_key_t | k |
| ) |  |  | `[inline, static]`

static threefry2x32_key_t threefry2x32keyinit | ( | threefry2x32_ukey_t | uk | ) | `[inline, static]`

static threefry2x64_ctr_t threefry2x64 | ( | threefry2x64_ctr_t | in,
|  | threefry2x64_key_t | k |
| ) |  |  | `[inline, static]`

static threefry2x64_ctr_t threefry2x64_R | ( | unsigned int | Nrounds,
|  | threefry2x64_ctr_t | in,
|  | threefry2x64_key_t | k |
| ) |  |  | `[inline, static]`

static threefry2x64_key_t threefry2x64keyinit | ( | threefry2x64_ukey_t | uk | ) | `[inline, static]`

static threefry4x32_ctr_t threefry4x32 | ( | threefry4x32_ctr_t | in,
|  | threefry4x32_key_t | k |
| ) |  |  | `[inline, static]`

static threefry4x32_ctr_t threefry4x32_R | ( | unsigned int | Nrounds,
|  | threefry4x32_ctr_t | in,
|  | threefry4x32_key_t | k |
| ) |  |  | `[inline, static]`

static threefry4x32_key_t threefry4x32keyinit | ( | threefry4x32_ukey_t | uk | ) | `[inline, static]`

static threefry4x64_ctr_t threefry4x64 | ( | threefry4x64_ctr_t | in,
|  | threefry4x64_key_t | k |
| ) |  |  | `[inline, static]`

static threefry4x64_ctr_t threefry4x64_R | ( | unsigned int | Nrounds,
|  | threefry4x64_ctr_t | in,
|  | threefry4x64_key_t | k |
| ) |  |  | `[inline, static]`

static threefry4x64_key_t threefry4x64keyinit | ( | threefry4x64_ukey_t | uk | ) | `[inline, static]`

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines